
var blocks = true;
var proxy = false;
var local = false;
var logging = false;
var mobile = true;
var _backPage = [];

var waitingLink = function(url) {
	window.open(url, "_system", "location=yes");
}

function onError(e) {
  console.log('Error', e);
}
window.onError = onError;
 
function framework() {
    var self = this;
    this.hash = null; 
    this.events = {
        
    }
    
    this.bind = function(event, func) {
        if (!self.events[event]) {
            self.events[event] = [];
        }
        self.events[event].push(func);
    }
    
    this.trigger = function(event, args) {
        if (self.events[event] && self.events[event].length) {
            for(var i in self.events[event]) {
                if (self.events[event].hasOwnProperty(i)) {
                    self.events[event][i].apply(null, args);   
                }
            }
        }
    }   
}

function myAlert(message, code) {
    var title = '';
	if(code) {
		switch(code) {
			case 120:
				message = 'Сайт выключен';
				document.location.href = "#page=outline";
				break;
			case 100:
				message = 'Не получены необходимые параметры';
				break;
			case 101:
				message = 'Нет такого пользователя';
				break;
			case 102:
				message = 'Неверный логин и(или) пароль';
				break;
			case 11:
				message = 'Нажмите на кнопку регистрации ещё раз';
				break;
			case 12:
				message = 'Нажмите на кнопку регистрации ещё раз';
				break;
			case 21:
				message = 'Введите логин и пароль';
				break;
			case 22:
				message = 'Нет такого пользователя';
				break;
			case 31:
				message = 'Введите сообщение';
				break;
			case 32:
				message = 'Вы уже отправляли сообщение, попытайтесь чуть позже';
				break;
			case 33:
				message = 'Ошибка! Повторите ещё раз.';
				break;
			case 71:
				message = 'Заполните реквизиты';
				break;
			case 72:
				message = 'Минимальная сумма вывода $';
				break;
			case 73:
				message = 'Ошибка при создании заказа на вывод, обратитесь к администрации';
				break;
			case 7120:
				message = 'Сайт выключен';
				break;
			case 7100:
				message = 'Не получены необходимые параметры';
				break;
			case 7101:
				message = 'Нет такого пользователя';
				break;
			case 7102:
				message = 'Неверный логин и(или) пароль';
				break;
		}
	}
	
	$('#content #notices').html('<div class="success">'+message+'</div>');
	/*if(mobile){
        navigator.notification.alert(
            message,
            null,
            title,
            'OK'
        );
    }
    else{
        alert(message);
    }*/
}

Share = {
	vkontakte: function(purl, ptitle, pimg, descr) {
		url  = 'http://vkontakte.ru/share.php?';
		url += 'url='          + encodeURIComponent(purl);
		url += '&title='       + encodeURIComponent(ptitle);
		url += '&description=' + encodeURIComponent(descr);
		url += '&image='       + encodeURIComponent(pimg);
		url += '&noparse=true';
		Share.popup(url);
	},
	odnoklassniki: function(purl, descr) {
		url  = 'http://www.odnoklassniki.ru/dk?st.cmd=addShare&st.s=1';
		url += '&st.comments=' + encodeURIComponent(descr);
		url += '&st._surl='    + encodeURIComponent(purl);
		Share.popup(url);
	},
	facebook: function(purl, ptitle, pimg, descr) {
		url  = 'http://www.facebook.com/sharer.php?s=100';
		url += '&p[title]='     + encodeURIComponent(ptitle);
		url += '&p[summary]='   + encodeURIComponent(descr);
		url += '&p[url]='       + encodeURIComponent(purl);
		url += '&p[images][0]=' + encodeURIComponent(pimg);
		Share.popup(url);
	},
	twitter: function(purl, ptitle) {
		url  = 'http://twitter.com/share?';
		url += 'text='      + encodeURIComponent(ptitle);
		url += '&url='      + encodeURIComponent(purl);
		url += '&counturl=' + encodeURIComponent(purl);
		Share.popup(url);
	},
	mailru: function(purl, ptitle, pimg, descr) {
		url  = 'http://connect.mail.ru/share?';
		url += 'url='          + encodeURIComponent(purl);
		url += '&title='       + encodeURIComponent(ptitle);
		url += '&description=' + encodeURIComponent(descr);
		url += '&imageurl='    + encodeURIComponent(pimg);
		Share.popup(url)
	},

	popup: function(url) {
		window.open(url,'_system','location=yes,toolbar=0,status=0,width=626,height=436');
	}
};

function setSpinner(mstatus, message){
    if(mobile){
        if(mstatus) {
            if(message == null)
				message = "Загрузка..";
			if(device.platform == 'Android')
				navigator.notification.activityStart("", message);
			if(device.platform == 'iOS')
				window.plugins.spinnerDialog.show();
        } else {
            if(device.platform == 'Android')
                navigator.notification.activityStop();
            if(device.platform == 'iOS')
                window.plugins.spinnerDialog.hide();
        }
		setTimeout(function() {
			setSpinner(false);
		}, 3000);
    }
}

var fn = new framework();

fn.ajax = {
    send: function(url, method, dataType, args, async, callback, error){
        var settings = {};
		settings.url = url;
		settings.method = method;
		if (method == "POST") {
			settings.contentType = 'application/x-www-form-urlencoded';
		}
		settings.data = args;
		settings.async = true;
		settings.complete = callback;
		settings.error = error;
		settings.dataType = dataType;
		settings.timeout = 30000;
		$.ajax(settings);
    }
}

fn.app = {
    
};

fn.redirect = function(hash) {
    var args = [];
    for(var i in hash) {
        if (hash.hasOwnProperty(i)) {
            args.push(i+"="+encodeURIComponent(hash[i]));
        }
    }
    document.location.hash = "#" + args.join("&"); 
}

fn.hashParser = function(refresh) {
    if (!refresh && fn.hash) {
        return fn.hash;
    }
    var hash = document.location.hash.substr(1);
    var res = {};
    if (hash) {
        var arr = hash.split('&');
        
        if (arr.length) {
            for(var i in arr) {
                if (arr.hasOwnProperty(i)) {
                    var key = arr[i].substr(0, arr[i].indexOf('='));
                    var value = arr[i].substr(arr[i].indexOf('=')+1);
                    res[key] = value;
                }
            }
        }
        
    }
    if (fn.hash == undefined) {
        fn.startHash = res;
    }
    fn.hash = res;
    return res;
};

fn.startup = function() {
    fn.hashParser();
    fn.trigger('framework.startup');
    for(var i in fn.app) {
        if (fn.app.hasOwnProperty(i) && fn.app[i].startup) {
            fn.app[i].startup();
        }
        if (fn.app.hasOwnProperty(i) && fn.app[i].init) {
            fn.app[i].init();
        }
    }
};

fn.moving = function(init) {
    fn.hashParser(true);
    fn.trigger('framework.moving');
    if (init) {
        for(var i in fn.app) {
            if (fn.app.hasOwnProperty(i) && fn.app[i].init) {
                fn.app[i].init();
            }
        }
    } else {
        for(var i in fn.app) {
            if (fn.app.hasOwnProperty(i) && fn.app[i].refresh) {
                fn.app[i].refresh();
            }
        }
    }
};

fn.app.alikopi = {
    _server: 'http://glai.in/index.php?r=api.',
    _user_token: window.localStorage.getItem("accessToken") ? window.localStorage.getItem("accessToken") : null,
	_user_id: window.localStorage.getItem("userId") ? window.localStorage.getItem("userId") : null,
	_user_balance: '0.00',
	_user_bonus: '0',
	_agreement_seen: 0,
	_gplay_rating_seen: false,
	_gplay_rating_checked: false,
	_user_bonus_data: null,
	_avtorized : false,
	_options: {
        push: true,
        toast: true
    },
    _api: {
        regNewUser: {
            method: "POST",
            url: "regNewUser",
            proxy: proxy,
			local: local,
			dataType: 'json',
			code: 1
        },
		login: {
            method: "POST",
            url: "login",
            proxy: proxy,
			local: local,
			dataType: 'json',
			code: 2
        },
		getConfig: {
			method: "POST",
            url: "getConfig",
            proxy: proxy,
			local: local,
			dataType: 'json',
			code: ''
		},
		getMyData: {
			method: "POST",
            url: "getMyData",
            proxy: proxy,
			local: local,
			dataType: 'json',
			code: 3
		},
		sendFeedbackMessage: {
			method: "POST",
            url: "sendFeedbackMessage",
            proxy: proxy,
			local: local,
			dataType: 'json',
			code: ''
		},
		getFeedbackDialog: {
			method: "POST",
            url: "getFeedbackDialog",
            proxy: proxy,
			local: local,
			dataType: 'json',
			code: ''
		},
		getMyCountPaymentOrders: {
			method: "POST",
            url: "getMyCountPaymentOrders",
            proxy: proxy,
			local: local,
			dataType: 'json',
			code: ''
		},
		getMyPaymentOrders: {
			method: "POST",
            url: "getMyPaymentOrders",
            proxy: proxy,
			local: local,
			dataType: 'json',
			code: ''
		},
		payoutNewOrder: {
			method: "POST",
            url: "payoutNewOrder",
            proxy: proxy,
			local: local,
			dataType: 'json',
			code: 7
		},
		createlink: {
			method: "POST",
            url: "createlink",
            proxy: proxy,
			local: local,
			dataType: 'json',
			code: 8
		},
		getreflink: {
			method: "POST",
            url: "getreflink",
            proxy: proxy,
			local: local,
			dataType: 'json',
			code: ''
		},
		getBonusInfo: {
			method: "POST",
            url: "getBonusInfo",
            proxy: proxy,
			local: local,
			dataType: 'json',
			code: ''
		},
		activateMobileBonus: {
			method: "POST",
            url: "activateMobileBonus",
            proxy: proxy,
			local: local,
			dataType: 'json',
			code: ''
		},
		setBalanceSeen: {
			method: "POST",
            url: "setBalanceSeen",
            proxy: proxy,
			local: local,
			dataType: 'json',
			code: ''
		},
		setWaitingSeen: {
			method: "POST",
            url: "setWaitingSeen",
            proxy: proxy,
			local: local,
			dataType: 'json',
			code: ''
		},
		activateCashback: {
			method: "POST",
            url: "activateCashback",
            proxy: proxy,
			local: local,
			dataType: 'json',
			code: ''
		},
		sendRemind: {
			method: "POST",
            url: "sendRemind",
            proxy: proxy,
			local: local,
			dataType: 'json',
			code: ''
		},
		restoreData: {
			method: "POST",
            url: "restoreData",
            proxy: proxy,
			local: local,
			dataType: 'json',
			code: ''
		},
		activateVkBonus: {
			method: "POST",
            url: "activateVkBonus",
            proxy: proxy,
			local: local,
			dataType: 'json',
			code: ''
		},
		setGplayRating: {
			method: "POST",
            url: "setGplayRating",
            proxy: proxy,
			local: local,
			dataType: 'json',
			code: ''
		},
    },
    _templates: {},
    _data: {},
	_rendered: {},
    _ali: {
        _items: [],
        _cookie: 'ali',
        getByIndex: function(itemId) {
            return this._items[itemId] || false;
        },
        getByAttr: function(name, value) {
            return this.getByIndex(this.indexByAttr(name, value));
        },
        indexByAttr: function(name, value) {
            for (var i = 0; i < this._items.length; i++) {
                if (this._items[i][name] == value) {
                    return i;
                }
            }
            return false;
        },
        getItems: function() {
            return this._items;
        },
        loadCookie: function() {
            this._items = (localStorage.getItem('ali') !== null) ? JSON.parse(localStorage.getItem('ali')) : [];
        },
        saveCookie: function() {
            localStorage.setItem('ali', JSON.stringify(this._items));
        }
    },
	_getSettings: function(phone){
        var settings = window.localStorage.getItem("options");
        settings = JSON.parse(settings);
        if(settings != null){
            this._options = settings;
        }

    },
    _saveSettings: function(){
        var settings = JSON.stringify(this._options);
        window.localStorage.setItem("options", settings);

    },
	_logout : function(){
        this._avtorized = false;
		window.localStorage.removeItem("userId");
		window.localStorage.removeItem("accessToken");
        this._data = {};
        $.cookie.json = false;
        var cookies = $.cookie();
        for(var cookie in cookies)
            if(cookies.hasOwnProperty(cookie))
                $.removeCookie(cookie);
		
		$('.logged').css('display','none');
		$('.loggedl').css('display','none');
		$('.nlogged').css('display','block');
		$('.nloggedl').css('display','inline-block');
        document.location.href = "#page=index";
    },
    _exit : function(){
        window.plugin.notification.local.cancel(1);
        //window.plugin.backgroundMode.disable();
        if(navigator.app)
            navigator.app.exitApp();
        else
        if(navigator.device)
            navigator.device.exitApp();
    },
	_resizeWindow: function(){
		$('.layer').css('width', 'auto').css('width',document.getElementById('content').offsetWidth);
		var mheight = window.innerHeight || document.documentElement.clientHeight || document.body.clientHeight;
		$('#content').css('min-height', (mheight > 480 ? mheight: '480'));
		$('.graylayer').css('height', (window.innerHeight || document.documentElement.clientHeight || document.body.clientHeight)-46);
		if($('#vk_groups').is('div')) {
			$('#vk_groups').empty().css('width', 'auto');
			VK.Widgets.Group("vk_groups", {mode: 0, height: '360', width: document.getElementById('vk_groups').offsetWidth, color1: 'fefefe', color2: '000000', color3: '5E81A8'}, 123953350);
		}
    },
	_getTime: function() {
		var date = new Date();
		var time = '';
		if(date.getMinutes()*1 < 10) {
			time = date.getHours() +':0'+ date.getMinutes();
		} else {
			time = date.getHours() +':'+ date.getMinutes();
		}
		return time;
	},
	
	setConfig: function(config) {
		if (config) {
			if (!window.localStorage.getItem('app_config_version') || window.localStorage.getItem('app_config_version') != config.app_config_version) {
				var configs = JSON.stringify(config);
				window.localStorage.setItem('configs', configs);
				window.localStorage.setItem('app_config_version', config.app_config_version);
			}
		}
	},
	getConfig: function() {
		var self = this;
		if(window.localStorage.getItem("configs")) {
			var config = window.localStorage.getItem("configs");
			config = JSON.parse(config);
			return config;
		} else {
			var rData = {
				api : 'getConfig',
				args : {}
			};
			this._sendRequest(rData.api, rData.args, null, null, function(data){
				if(data.config) {
					self.setConfig(data.config);
					document.location.href = "#page=index";
				} else {
					myAlert('', 120);
				}
			}, null, true);
		}
		return false;
	},
	
	_showMenu: function() {
		$('.layer').addClass('showmenu');
		$('.graylayer').removeClass('fn-hidden');
		$('body').addClass('overflow');
	},
	_hideMenu: function() {
		$('.layer').removeClass('showmenu');
		$('.graylayer').addClass('fn-hidden');
		$('body').removeClass('overflow');
	},
	
	shareLink: function(s, slink) {
		var self = this;
		var config = self.getConfig();
		if(config) {
			switch(s) {
				case 'vkontakte':
					Share.vkontakte(
						slink,
						config.share.TITLE,
						config.share.IMG_PATH,
						config.share.DESC
					);
					break;
				case 'odnoklassniki':
					Share.odnoklassniki(
						slink,
						config.share.DESC
					);
					break;
				case 'facebook': 
					Share.facebook(
						slink,
						config.share.TITLE,
						config.share.IMG_PATH,
						config.share.DESC
					);
					break;
				case 'twitter': 
					Share.twitter(
						slink,
						config.share.TITLE
					);
					break;
				case 'mailru': 
					Share.mailru(
						slink,
						config.share.TITLE,
						config.share.IMG_PATH,
						config.share.DESC
					);
					break;
				default:
					break;
			}
		}
	},
	
	selectTextRange: function(obj) {
		var range = document.createRange();
		range.selectNode(obj);
	  
		var sel = window.getSelection();
		sel.removeAllRanges();
		sel.addRange(range);
		
		document.execCommand('copy');
		window.getSelection().removeAllRanges();
	},
	
	sysShowInterval: false,
	
    activePage: null,
	pages: {
		index: function(app) {
			var self = this;
			
			var page = {
                hash: {
                    page: 'index'
                },
                templates: ['index'],
				data: [{
                    api: false
                }]
            };
			
			app._loadPage(page, function(content) {
                _backPage.push('index');
				
				content.html(app._templates['index']);
				content.removeClass('red');
				$(window).trigger('resize');
				$('.leftmenu').removeClass('fn-hidden');
				
				
				VK.Widgets.Group("vk_groups", {mode: 0, height: '360', width: document.getElementById('vk_groups').offsetWidth, color1: 'fefefe', color2: '000000', color3: '5E81A8'}, 123953350);
				
				var config = app.getConfig();
				if(config) {
					$('.p0percent').html(config.default_percent);
					$('.p0bonusdouble').html(config.bonusdouble);
				}
				
				if(app._avtorized) {
					$('.nlogged').css('display','none');
					$('.nloggedl').css('display','none');
					$('.loggedl').css('display','inline-block');
					$('.logged').css('display','block');
					
					$('#aliShareVkontakte').on('click', function() {
						app.shareLink('vkontakte', app._user_bonus_data.alilink);
					});
					$('#aliShareOdnoklassniki').on('click', function() {
						app.shareLink('odnoklassniki', app._user_bonus_data.alilink);
					});
					$('#aliShareFacebook').on('click', function() {
						app.shareLink('facebook', app._user_bonus_data.alilink);
					});
					$('#aliShareTwitter').on('click', function() {
						app.shareLink('twitter', app._user_bonus_data.alilink);
					});
					$('#aliShareMailru').on('click', function() {
						app.shareLink('mailru', app._user_bonus_data.alilink);
					});
					
					$('#refShareVkontakte').on('click', function() {
						app.shareLink('vkontakte', app._user_bonus_data.referallink);
					});
					$('#refShareOdnoklassniki').on('click', function() {
						app.shareLink('odnoklassniki', app._user_bonus_data.referallink);
					});
					$('#refShareFacebook').on('click', function() {
						app.shareLink('facebook', app._user_bonus_data.referallink);
					});
					$('#refShareTwitter').on('click', function() {
						app.shareLink('twitter', app._user_bonus_data.referallink);
					});
					$('#refShareMailru').on('click', function() {
						app.shareLink('mailru', app._user_bonus_data.referallink);
					});
					
					var rData = {
						api : 'getMyData',
						args : {
							"user_id" : app._user_id,
							"user_token" : app._user_token
						}
					};
					
					app._sendRequest(rData.api, rData.args, null, null, function(data){
						if(data.config) {
							app.setConfig(data.config);
						}
						if(data.code) {
							myAlert(data.descr, data.code);
						} else {
							var userData = data.data;
							
							app._user_balance = userData.balance_rub;
							app._user_bonus = userData.bonus; // бонус в рублях
							app._agreement_seen = userData.agreement_msg;
							app._user_bonus_data = data.bonus; // все параметры и реферальные ссылки
							
							if(!app._gplay_rating_seen && app._user_bonus_data.gplay_rating == 0 && app._user_bonus_data.gplayratingshow*1) {
								setTimeout(function() {
									app._gplay_rating_seen = true;
									$('.voteapp-layout').css('display','table');
									$('.voteapp-layout .close').click(function() {
										$('.voteapp-layout').css('display','none');
									});
									$('.voteapp-layout .popup .stars > div').click(function() {
										if(!app._gplay_rating_checked) {
											app._gplay_rating_checked = true;
											var raiting = $(this).attr('rel');
											var i = raiting;
											while(i-- > 0) {
												$('.voteapp-layout .popup .stars > div.d'+(i+1)).addClass('selected');
											}
											
											var rData = {
												api : 'setGplayRating',
												args : {
													"user_id" : app._user_id,
													"user_token" : app._user_token,
													"raiting" : raiting
												}
											};
											setSpinner(true, 'Загрузка данных');
											app._sendRequest(rData.api, rData.args, null, null, function(data){
												setSpinner(false);
												if(data.config) {
													app.setConfig(data.config);
												}
												if(data.bonus) {
													app._user_bonus_data = data.bonus;
												}
												
												if(data.code) {
													myAlert(data.descr, data.code);
												} else {
													if(raiting > 3) {
														$('.voteapp-layout .popup .button').css('display','block');
														$('.voteapp-layout .popup .button div').click(function() {
															window.open(app._user_bonus_data.gplaylink, '_system', 'location=yes');
															$('.voteapp-layout .close').click();
														});
													} else {
														$('.voteapp-layout .header').html('<span>Спасибо!</span>');
													}
												}
											});
										}
									});
									
								}, 1000);
							}
							
							var rData = {
								api : 'getMyCountPaymentOrders',
								args : {
									"user_id" : app._user_id,
									"user_token" : app._user_token
								}
							};
							setSpinner(true, 'Загрузка данных');
							app._sendRequest(rData.api, rData.args, null, null, function(data){
								setSpinner(false);
								if(data.config) {
									app.setConfig(data.config);
								}
								
								if(data.code) {
									myAlert(data.descr, data.code);
								} else {
									content.find('.cabinet').html(app._templates['cabinet']);
									content.find('.cabinet .fwbold').html(data.cnt);
									content.find('.cabinet .fwbalance').html(userData.balance_rub);
									content.find('#reflink').val(app._user_bonus_data.referallink);
									content.find('.referals').html(app._user_bonus_data.referalcnt);
									content.find('#alihashLink').val(app._user_bonus_data.alilink);
									content.find('#alihashLink').val(app._user_bonus_data.alilink);
									
									var config = app.getConfig();
									if(config) {
										content.find('.rpercent').html(config.partnerpercent+'%');
									}
									
									if(!app.sysShowInterval) {
										app.sysShowInterval = setInterval(function() {
											$('.cabinet #notices').html(
												'<div class="failure">'+
													'<span class="close">x</span>'+
													'<div class="text bold big">Какой Вы друг?</div>'+
													'<div class="text big">Близкие все еще переплачивают и не знают о GLAi.ru?</div>'+
												'</div>'
											);
											$('.close').on('click', function() {
												$('.cabinet #notices').empty();
											});
										}, 300000);
									}
									
									if(userData.balance_msg*1) {
										$('.cabinet #notices').html(
											'<div class="failure">'+
												'<span class="close" id="setBalanceSeen">x</span>'+
												'<div class="text bold big lbpadding">Ура! У вас пополнение баланса.</div>'+
												'<div class="text">Внимание! У нас нет денег на рекламу, т.к. мы все отдаем вам. Расскажите о нас сейчас хотябы 1 лучшему другу. '+
												'От вас зависит многое. Если мало людей будет нас рекомендовать, нам придется понизить процентные ставки.</div>'+
												//getShareButtons() + 
											'</div>'
										);
									} else if(userData.waiting_msg*1) {
										$('.cabinet #notices').html(
											'<div class="failure">'+
												'<span class="close" id="setWaitingSeen">x</span>'+
												'<div class="text bold big lbpadding">Ура! У вас пополнение списка ожидания.</div>'+
												'<div class="text">Внимание! У нас нет денег на рекламу, т.к. мы все отдаем вам. Расскажите о нас сейчас хотябы 1 лучшему другу. '+
												'От вас зависит многое. Если мало людей будет нас рекомендовать, нам придется понизить процентные ставки.</div>'+
												//getShareButtons() + 
											'</div>'
										);
									}
									
									$('.close').on('click', function() {
										$('.cabinet #notices').empty();
									});
									
									$('#setBalanceSeen').on('click', function() {
										var rData = {
											api : 'setBalanceSeen',
											args : {
												"user_id" : app._user_id,
												"user_token" : app._user_token
											}
										};
										
										app._sendRequest(rData.api, rData.args, null, null, function(data){
											if(data.config) {
												app.setConfig(data.config);
											}
										});
									})
									
									$('#setWaitingSeen').on('click', function() {
										var rData = {
											api : 'setWaitingSeen',
											args : {
												"user_id" : app._user_id,
												"user_token" : app._user_token
											}
										};
										
										app._sendRequest(rData.api, rData.args, null, null, function(data){
											if(data.config) {
												app.setConfig(data.config);
											}
										});
									});
									
									if(app._user_bonus_data.alibutiqshow*1) {
										$('.block.alibutiq').css('display','block');
										$('.alibutiq-link').click(function() {
											window.open(app._user_bonus_data.alibutiqlink, '_system', 'location=yes');
										});
									}
									
									$('.balance-link').click(function() {
										document.location.href = "#page=cashout";
									});
									$('.bonusfriend-link').click(function() {
										document.location.href = "#page=bonusfriend";
									});
									$('.waiting-link').click(function() {
										document.location.href = "#page=waiting";
									});
									
									$('.copylink').on('click', function() {
										var el = $(this);
										app.selectTextRange($('#'+(el.attr('rel'))).get(0));
										el.addClass('ready');
										setTimeout(function() {
											el.removeClass('ready');
										},1000);
									});
								}
							}, null, true);
						}
					}, null, true);
				} else {
					$('.logged').css('display','none');
					$('.loggedl').css('display','none');
					$('.nlogged').css('display','block');
					$('.nloggedl').css('display','inline-block');
				}
				
				$('.lmenu, .graylayer').click(function() {
					if($('.layer').is('.showmenu')) {
						app._hideMenu();
					} else {
						app._showMenu();
					}
				});
				
				$('.cashback-link').click(function() {
					if(app._avtorized) {
						if(app._agreement_seen*1) {
							window.open(app._user_bonus_data.alilink, '_system', 'location=yes');
						} else {
							document.location.href = "#page=prerules";
						}
					} else {
						document.location.href = "#page=registration";
					}
				});
				
				$('.bonusdouble-link').click(function() {
					if(app._avtorized) {
						document.location.href = "#page=bonusdouble";
					} else {
						document.location.href = "#page=registration";
					}
				});
				
				$('.vk-link').click(function() {
					window.open('https://vk.com/public123953350', '_system', 'location=yes');
				});
				
				$('.vk-fao-link').click(function() {
					window.open('https://vk.com/public90084133', '_system', 'location=yes');
				});
				
				$('.ali-link').click(function() {
					window.open(app._user_bonus_data.alilink, '_system', 'location=yes');
				});
				
				$('.aliout-link').click(function() {
					window.open('http://glai.in/1/6Tn66H', '_system', 'location=yes');
				});
				
				$('.about-link').click(function() {
					document.location.href = "#page=about";
				});
				
				$('.aliexpress-link').click(function() {
					document.location.href = "#page=aliexpress";
				});
				
				$('.alireg-link').click(function() {
					document.location.href = "#page=alireg";
				});
				
				$('.howtogetreflink-link').click(function() {
					document.location.href = "#page=howtogetreflink";
				});
				
				// menu links
				
				$('.vacancies-link').click(function() {
					app._hideMenu();
					document.location.href = "#page=vacancies";
				});
				
				$('.login-link').click(function() {
					app._hideMenu();
					document.location.href = "#page=login";
				});
				
				$('.rules-link').click(function() {
					app._hideMenu();
					document.location.href = "#page=rules";
				});
				
				$('.mrules-link').click(function() {
					app._hideMenu();
					document.location.href = "#page=mrules";
				});
				
				$('.feedback-link').click(function() {
					app._hideMenu();
					document.location.href = "#page=feedback";
				});
				
				$('.agreement-link').click(function() {
					app._hideMenu();
					document.location.href = "#page=agreement";
				});
				
				$('.remind-link').click(function() {
					app._hideMenu();
					document.location.href = "#page=remind";
				});
				
				$('.logout-link').click(function() {
					app._hideMenu();
					app._logout();
				});
				
				$('.topmenu .title').click(function() {
					document.location.href = "#page=index";
				});
            });
        },
		
		prerules: function(app) {
			var self = this;
			
			var page = {
                hash: {
                    page: 'prerules'
                },
                templates: ['prerules'],
                data: [{
                    api: false
                }],
            };
			app._loadPage(page, function(content) {
                content.html(app._templates['prerules']);
				content.addClass('red');
				
				var config = app.getConfig();
				if(config) {
					$('.p0percent').html(config.default_percent);
				}
				
				$('.cashback-link').click(function() {
					var agree = $('#imagree').is(':checked') ? true : false;
					
					var rData = {
						api : 'activateCashback',
						args : {
							"user_id" : app._user_id,
							"user_token" : app._user_token,
							"agree" : agree
						}
					};
					
					app._sendRequest(rData.api, rData.args, null, null, function(data){
						if(data.config) {
							app.setConfig(data.config);
						}
						document.location.href = "#page=index";
						window.open(app._user_bonus_data.alilink, '_system', 'location=yes');
					});
				});
				
				$('.back-link').click(function() {
					document.location.href = "#page=" + (_backPage.pop() || 'index');
				});
				
				$('.topmenu .title').click(function() {
					document.location.href = "#page=index";
				});
			});
		},
		
		waiting: function(app) {
			var self = this;
			
			var page = {
                hash: {
                    page: 'waiting'
                },
                templates: ['waiting'],
                data: [{
                    api: false
                }],
            };
			app._loadPage(page, function(content) {
                content.html(app._templates['waiting']);
				content.addClass('red');
				
				var rData = {
					api : 'getMyPaymentOrders',
					args : {
						"user_id" : app._user_id,
						"user_token" : app._user_token
					}
				};
				setSpinner(true, 'Загрузка данных');
				app._sendRequest(rData.api, rData.args, null, null, function(data){
					setSpinner(false);
					if(data.config) {
						app.setConfig(data.config);
						$('.p0bonusdouble').html(data.config.bonusdouble);
					}
					
					if(data.code) {
						myAlert(data.descr, data.code);
					} else {
						$('.fwbold').html(data.cnt);
						for(var i in data.list) {
							var date = new Date();
							date.setTime(data.list[i]['dt']*1000 - 4*60*60*1000);
							var mon = ('0'+(1+date.getMonth())).replace(/.?(\d{2})/,'$1');
							var time = date.toString().replace(/^[^\s]+\s([^\s]+)\s([^\s]+)\s([^\s]+)\s([^\s]+)\s.*$/ig,'$4').split(':');
							var rdate = time[0] + ':' + time[1] + date.toString().replace(/^[^\s]+\s([^\s]+)\s([^\s]+)\s([^\s]+)\s([^\s]+)\s.*$/ig,' $2-'+mon+'-$3');
							$('.goods').append('<div><span class="reward">'+data.list[i]['reward']+'$</span> <a href="javascript:" onclick="waitingLink(\''+data.list[i]['url']+'\')" class="link">товар '+data.list[i]['product_id']+'</a> <span class="dt">('+rdate+')</span></div>');
						}
					}
				});
				
				$('.bonusdouble-link').click(function() {
					document.location.href = "#page=bonusdouble";
				});
				
				$('.failreasons-link').click(function() {
					_backPage.push('waiting');
					document.location.href = "#page=failreasons";
				});
				
				$('.back-link').click(function() {
					document.location.href = "#page=" + (_backPage.pop() || 'index');
				});
				
				$('.topmenu .title').click(function() {
					document.location.href = "#page=index";
				});
            });
        },
		
		failreasons: function(app) {
			var self = this;
			
			var page = {
                hash: {
                    page: 'failreasons'
                },
                templates: ['failreasons'],
                data: [{
                    api: false
                }],
            };
			app._loadPage(page, function(content) {
                content.html(app._templates['failreasons']);
				content.addClass('red');
				
				$('.back-link').click(function() {
					document.location.href = "#page=" + (_backPage.pop() || 'index');
				});
				
				$('.topmenu .title').click(function() {
					document.location.href = "#page=index";
				});
            });
        },	
		
		bonusdouble: function(app) {
			var self = this;
			
			var page = {
                hash: {
                    page: 'bonusdouble'
                },
                templates: ['bonusdouble'],
                data: [{
                    api: false
                }],
            };
			app._loadPage(page, function(content) {
                content.html(app._templates['bonusdouble']);
				content.addClass('red');
				
				$('#bonusDoubleShareVkontakte').on('click', function() {
					app.shareLink('vkontakte', app._user_bonus_data.bonusdoublelink);
				});
				$('#bonusDoubleShareOdnoklassniki').on('click', function() {
					app.shareLink('odnoklassniki', app._user_bonus_data.bonusdoublelink);
				});
				$('#bonusDoubleShareFacebook').on('click', function() {
					app.shareLink('facebook', app._user_bonus_data.bonusdoublelink);
				});
				$('#bonusDoubleShareTwitter').on('click', function() {
					app.shareLink('twitter', app._user_bonus_data.bonusdoublelink);
				});
				$('#bonusDoubleShareMailru').on('click', function() {
					app.shareLink('mailru', app._user_bonus_data.bonusdoublelink);
				});
				
				var rData = {
					api : 'getBonusInfo',
					args : {
						"user_id" : app._user_id,
						"user_token" : app._user_token
					}
				};
				setSpinner(true, 'Загрузка данных');
				app._sendRequest(rData.api, rData.args, null, null, function(data){
					setSpinner(false);
					if(data.config) {
						app.setConfig(data.config);
						content.find('.p0max').html(data.config.percents.max);
						content.find('.p0bonusdouble').html(data.config.bonusdouble);
					}
					
					if(data.bonus) {
						if(data.bonus.bonusdoublelink) {
							$('#bonusDoubleLink').val(data.bonus.bonusdoublelink);
						}
					}
				});
				
				$('.copylink').on('click', function() {
					var el = $(this);
					app.selectTextRange($('#'+(el.attr('rel'))).get(0));
					el.addClass('ready');
					setTimeout(function() {
						el.removeClass('ready');
					},1000);
				});
				
				$('.back-link').click(function() {
					document.location.href = "#page=" + (_backPage.pop() || 'index');
				});
				
				$('.topmenu .title').click(function() {
					document.location.href = "#page=index";
				});
            });
        },
		
		express: function(app) {
			var self = this;
			
			var page = {
                hash: {
                    page: 'express'
                },
                templates: ['express'],
                data: [{
                    api: false
                }],
            };
			app._loadPage(page, function(content) {
                content.html(app._templates['express']);
				content.addClass('red');
				
				var rData = {
					api : 'getBonusInfo',
					args : {
						"user_id" : app._user_id,
						"user_token" : app._user_token
					}
				};
				setSpinner(true, 'Загрузка данных');
				app._sendRequest(rData.api, rData.args, null, null, function(data){
					setSpinner(false);
					if(data.bonus) {
						if(data.bonus.bonusdoublelink) {
							$('#bonusexpresshash').val(data.bonus.bonusexpresshash);
							content.find('.express_cashback').html(data.bonus.express_cashback);
							
							$('#bonusexpresshashShareVkontakte').on('click', function() {
								app.shareLink('vkontakte', data.bonus.bonusexpresshash);
							});
							$('#bonusexpresshashShareOdnoklassniki').on('click', function() {
								app.shareLink('odnoklassniki', data.bonus.bonusexpresshash);
							});
							$('#bonusexpresshashShareFacebook').on('click', function() {
								app.shareLink('facebook', data.bonus.bonusexpresshash);
							});
							$('#bonusexpresshashShareTwitter').on('click', function() {
								app.shareLink('twitter', data.bonus.bonusexpresshash);
							});
							$('#bonusexpresshashShareMailru').on('click', function() {
								app.shareLink('mailru', data.bonus.bonusexpresshash);
							});
							
						}
					}
				});
				
				$('.copylink').on('click', function() {
					var el = $(this);
					app.selectTextRange($('#'+(el.attr('rel'))).get(0));
					el.addClass('ready');
					setTimeout(function() {
						el.removeClass('ready');
					},1000);
				});
				
				$('.back-link').click(function() {
					document.location.href = "#page=" + (_backPage.pop() || 'index');
				});
				
				$('.topmenu .title').click(function() {
					document.location.href = "#page=index";
				});
            });
        },
		
		outline: function(app) {
			var self = this;
			
			var page = {
                hash: {
                    page: 'outline'
                },
                templates: ['outline'],
                data: [{
                    api: false
                }],
            };
			app._loadPage(page, function(content) {
                content.html(app._templates['outline']);
				content.addClass('red');
				
				$('.back-link').click(function() {
					document.location.href = "#page=" + (_backPage.pop() || 'index');
				});
            });
        },
		
		cashout: function(app) {
			var self = this;
			
			var page = {
                hash: {
                    page: 'cashout'
                },
                templates: ['cashout'],
                data: [{
                    api: false
                }],
            };
			app._loadPage(page, function(content) {
                content.html(app._templates['cashout']);
				content.addClass('red');
				
				$('#cashout-balance').html(app._user_balance);
				$('#cashout-bonus').html(app._user_bonus);
				
				var percent = Math.round((app._user_balance-app._user_bonus)/50);
				if(percent < 5) {
					percent = 5;
				}
				setTimeout(function() {
					$('.percent').css('height',percent+'%').removeClass('load');
				}, 1000);
				
				var config = app.getConfig();
				if(config) {
					$('.pt1bonus').html(config.payout_table[1]['bonus']);
					$('.p0bonusdouble').html(config.bonusdouble);
				}
				
				$('#cashout-go').on('click', function() {
					payoutNewOrder(0);
				});
				
				$('.bonusdouble-link').click(function() {
					document.location.href = "#page=bonusdouble";
				});
				
				$('.back-link').click(function() {
					document.location.href = "#page=" + (_backPage.pop() || 'index');
				});
				
				$('.topmenu .title').click(function() {
					document.location.href = "#page=index";
				});
            });
			
			function payoutNewOrder(allow) {
				if(app._avtorized) {
					var rData = {
						api : 'payoutNewOrder',
						args : {
							"user_id" : app._user_id,
							"user_token" : app._user_token,
							"requisites" : $('#requisites').val(),
							"allow" : allow
						}
					};
					
					setSpinner(true, 'Отправка заявки');	
					app._sendRequest(rData.api, rData.args, null, null, function(data){
						setSpinner(false);
						if(data.config) {
							app.setConfig(data.config);
						}
						
						if (data.code == 2) {
							myAlert([	'<div class="gp">',
											'<div class="text big bold center lbpadding">Недостаточно средств для вывода. <a class="white rules-link" href="javascript:" >Почитайте условия</a></div>',
											'<div class="text big center lbpadding">Хотите вывести сразу? Воспользуйтесь функцией <a class="white express-link" href="javascript:" >Экспресс вывод</a></div>',
										'</div>'].join(''),data.code);
							$('.express-link').click(function() {
								_backPage.push('cashout');
								document.location.href = "#page=express";
							});
							$('.rules-link').click(function() {
								document.location.href = "#page=rules";
							});
										
						} else if (data.code == 4) {
							myAlert([	'<div class="gp">',
											'<div class="text big bold center">Вы подтверждаете вывод?</div>',
											'<div class="text big center lbpadding">Комиссия за вывод не взимается.</div>',
											'<div class="input-button"><input type="submit" value="Подтверждаю" id="payoutNewOrder" /></div>',
										'</div>'].join(''),data.code);
							$('#payoutNewOrder').click(function() {
								payoutNewOrder(1);
							});
						} else if (data.code == 0) {
							myAlert(data.descr, data.code);
							app._user_balance = data.data.balance;
							app._user_bonus = data.data.bonus;
							$('#cashout-balance').html(app._user_balance);
							$('#cashout-bonus').html(app._user_bonus);
							$('#requisites').val('');
						} else {
							myAlert(data.descr, data.code);
						}
					});
				}
			}
        },
		
		reflink: function(app) {
			var self = this;
			
			var page = {
                hash: {
                    page: 'reflink'
                },
                templates: ['reflink'],
                data: [{
                    api: false
                }],
            };
			app._loadPage(page, function(content) {
                content.html(app._templates['reflink']);
				content.addClass('red');
				
				$('#reflink').val('http://s.click.aliexpress.com/e/qV3je6Y?dp='+app._user_id);
				
				$('.howtogetreflink-link').click(function() {
					_backPage.push('reflink');
					document.location.href = "#page=howtogetreflink";
				});
				$('.back-link').click(function() {
					document.location.href = "#page=" + (_backPage.pop() || 'index');
				});
				
				$('.topmenu .title').click(function() {
					document.location.href = "#page=index";
				});
            });
        },
		
		howtogetreflink: function(app) {
			var self = this;
			
			var page = {
                hash: {
                    page: 'howtogetreflink'
                },
                templates: ['howtogetreflink'],
                data: [{
                    api: false
                }],
            };
			app._loadPage(page, function(content) {
                content.html(app._templates['howtogetreflink']);
				content.addClass('red');
				
				$('#createLink').click(function() {
					var rData = {
						api : 'createlink',
						args : {
							"user_id" : app._user_id,
							"user_token" : app._user_token,
							"link" : $('#link').val()
						}
					};
					
					setSpinner(true, 'Получение ссылки');	
					app._sendRequest(rData.api, rData.args, null, null, function(data){
						setSpinner(false);
						if(data.config) {
							app.setConfig(data.config);
						}
						
						if(data.code) {
							myAlert(data.descr, data.code);
							$('.copylink').removeClass('haslink');
						} else {
							myAlert(data.descr, data.code);
							$('#link').val(data.link);
							$('.copylink').addClass('haslink');
						}
					});
				});
				
				$('.copylink').on('click', function() {
					var el = $(this);
					app.selectTextRange($('#'+(el.attr('rel'))).get(0));
					el.addClass('ready');
					setTimeout(function() {
						el.removeClass('ready');
					},1000);
				});
				
				$('.back-link').click(function() {
					document.location.href = "#page=" + (_backPage.pop() || 'index');
				});
				
				$('.topmenu .title').click(function() {
					document.location.href = "#page=index";
				});
            });
        },
		
		about: function(app) {
			var self = this;
			
			var page = {
                hash: {
                    page: 'about'
                },
                templates: ['about'],
                data: [{
                    api: false
                }],
            };
			app._loadPage(page, function(content) {
                content.html(app._templates['about']);
				content.addClass('red');
				
				$('.back-link').click(function() {
					document.location.href = "#page=" + (_backPage.pop() || 'index');
				});
            });
        },
		
		remind: function(app) {
			var self = this;
			
			var page = {
                hash: {
                    page: 'remind'
                },
                templates: ['remind'],
                data: [{
                    api: false
                }],
            };
			app._loadPage(page, function(content) {
                content.html(app._templates['remind']);
				content.addClass('red');
				
				if(app._avtorized) {
					content.find('.button.login').css('display','none');
					
					var rData = {
						api : 'getMyData',
						args : {
							"user_id" : app._user_id,
							"user_token" : app._user_token
						}
					};
					
					setSpinner(true, 'Загрузка данных');	
					app._sendRequest(rData.api, rData.args, null, null, function(data){
						setSpinner(false);
						if(data.config) {
							app.setConfig(data.config);
						}
						
						if(data.code) {
							myAlert(data.descr, data.code);
						} else {
							$('#remind-id').html(data.data.id);
							$('#remind-login').html(data.data.login);
							$('#remind-pass').html(data.data.pass);
							$('#remind-email').val(data.data.email);
						}
					});
				}
				
				$('#remind-start').click(function() {
					var rData = {
						api : 'sendRemind',
						args : {
							"user_id" : app._user_id,
							"user_token" : app._user_token,
							"email" : $('#remind-email').val()
						}
					};
					
					app._sendRequest(rData.api, rData.args, null, null, function(data){
						if(data.config) {
							app.setConfig(data.config);
						}
						
						if(data.code) {
							myAlert(data.descr, data.code);
						} else {
							document.location.href = "#page=index";
						}
					});
				});
				
				$('.back-link').click(function() {
					document.location.href = "#page=" + (_backPage.pop() || 'index');
				});
				
				$('.topmenu .title').click(function() {
					document.location.href = "#page=index";
				});
            });
        },
		
		rules: function(app) {
			var self = this;
			
			var page = {
                hash: {
                    page: 'rules'
                },
                templates: ['rules'],
                data: [{
                    api: false
                }],
            };
			app._loadPage(page, function(content) {
                content.html(app._templates['rules']);
				content.addClass('red');
				
				var config = app.getConfig();
				if(config) {
					$('.p0percent').html(config.percents['percent']);
					$('.p0minrub').html(config.payout_min_rub);
				}
				
				$('.back-link').click(function() {
					document.location.href = "#page=" + (_backPage.pop() || 'index');
				});
				
				$('.topmenu .title').click(function() {
					document.location.href = "#page=index";
				});
            });
        },
		
		mrules: function(app) {
			var self = this;
			
			var page = {
                hash: {
                    page: 'mrules'
                },
                templates: ['mrules'],
                data: [{
                    api: false
                }],
            };
			app._loadPage(page, function(content) {
                content.html(app._templates['mrules']);
				content.addClass('red');
				
				var config = app.getConfig();
				if(config) {
					$('.p0percent').html(config.percents['percent']);
					
				}
				
				$('.back-link').click(function() {
					document.location.href = "#page=" + (_backPage.pop() || 'index');
				});
				
				$('.topmenu .title').click(function() {
					document.location.href = "#page=index";
				});
            });
        },
		
		agreement: function(app) {
			var self = this;
			
			var page = {
                hash: {
                    page: 'agreement'
                },
                templates: ['agreement'],
                data: [{
                    api: false
                }],
            };
			app._loadPage(page, function(content) {
                content.html(app._templates['agreement']);
				content.addClass('red');
				
				var config = app.getConfig();
				if(config) {
					$('.p0percent').html(config.percents['percent']);
					$('.p0minrub').html(config.payout_min_rub);
					$('.pt0commission').html(config.payout_table[0]['commission']);
					if(!config.payout_allow) {
						$('.payout_allow').css('display','none');
					}
				}
				
				$('.back-link').click(function() {
					document.location.href = "#page=" + (_backPage.pop() || 'index');
				});
				
				$('.topmenu .title').click(function() {
					document.location.href = "#page=index";
				});
            });
        },
		
		vacancies: function(app) {
			var self = this;
			
			var page = {
                hash: {
                    page: 'vacancies'
                },
                templates: ['vacancies'],
                data: [{
                    api: false
                }],
            };
			app._loadPage(page, function(content) {
                content.html(app._templates['vacancies']);
				content.addClass('red');
				
				$(window).trigger('resize');
				
				$('.back-link').click(function() {
					document.location.href = "#page=" + (_backPage.pop() || 'index');
				});
				
				$('.topmenu .title').click(function() {
					document.location.href = "#page=index";
				});
            });
        },
		
		aliexpress: function(app) {
			var self = this;
			
			var page = {
                hash: {
                    page: 'aliexpress'
                },
                templates: ['aliexpress'],
                data: [{
                    api: false
                }],
            };
			app._loadPage(page, function(content) {
                content.html(app._templates['aliexpress']);
				content.addClass('red');
				
				$('.aliout-link').click(function() {
					window.open('http://glai.in/1/6Tn66H', '_system', 'location=yes');
				});
				
				$('.back-link').click(function() {
					document.location.href = "#page=" + (_backPage.pop() || 'index');
				});
				
				$('.topmenu .title').click(function() {
					document.location.href = "#page=index";
				});
            });
        },
		
		alireg: function(app) {
			var self = this;
			
			var page = {
                hash: {
                    page: 'alireg'
                },
                templates: ['alireg'],
                data: [{
                    api: false
                }],
            };
			app._loadPage(page, function(content) {
                content.html(app._templates['alireg']);
				content.addClass('red');
				
				$('.vk-link').click(function() {
					window.open('https://vk.com/public123953350', '_system', 'location=yes');
				});
				
				$('.aliout-link').click(function() {
					window.open('http://glai.in/1/6Tn66H', '_system', 'location=yes');
				});
				
				$('.back-link').click(function() {
					document.location.href = "#page=" + (_backPage.pop() || 'index');
				});
				
				$('.topmenu .title').click(function() {
					document.location.href = "#page=index";
				});
            });
        },
		
		feedback: function(app) {
			var self = this;
			
			var page = {
                hash: {
                    page: 'feedback'
                },
                templates: ['feedback'],
                data: [{
                    api: false
                }],
            };
			app._loadPage(page, function(content) {
                content.html(app._templates['feedback']);
				content.addClass('red');
				
				if(app._avtorized) {
					appentMsgs();
				}
				
				$('#feedback-btn').on('click', function() {
					var rData = {
						api : 'sendFeedbackMessage',
						args : {
							'msg' : $('#feedback').val()
						}
					};
					
					if(app._avtorized) {
						rData.args.user_id = app._user_id;
						rData.args.user_token = app._user_token;
					}
					
					setSpinner(true, 'Отправка сообщения');
					app._sendRequest(rData.api, rData.args, null, null, function(data){
						setSpinner(false);
						if(data.config) {
							app.setConfig(data.config);
						}
						
						if(data.code) {
							myAlert(data.descr, data.code);
						} else {
							$('#feedback').val('');
							myAlert(data.descr, data.code);
							if(app._avtorized) {
								appentMsgs();
							}
						}
					}, null, true);
				});
				
				$('.back-link').click(function() {
					document.location.href = "#page=" + (_backPage.pop() || 'index');
				});
				
				$('.topmenu .title').click(function() {
					document.location.href = "#page=index";
				});
            });
			
			function appentMsgs() {
				var rData = {
					api : 'getFeedbackDialog',
					args : {
						"user_id" : app._user_id,
						"user_token" : app._user_token
					}
				};
				
				setSpinner(true, 'Поиск Ваших сообщений');
				app._sendRequest(rData.api, rData.args, null, null, function(data){
					setSpinner(false);
					if(data.config) {
						app.setConfig(data.config);
					}
					
					var list = '';
					for (var i = 0; i < data.list.length; i++) {
						list += '<div class="text lbpadding">'+
								  '<div class="who">'+
									'<span>'+data.list[i].dt+' | '+(data.list[i].who == 1 ? 'Тех.поддержка' : 'Вы')+': </span>'+
								  '</div>'+
								  '<div class="msg">'+
									data.list[i].msg+
								  '</div>'+
								'</div>';
					}
					if(list != '') {
						$('#feedback-dialog').html(list);
						$('#feedback-log').removeClass('fn-hidden');
						$('#feedback-dialog').removeClass('fn-hidden');
					}
				}, null, true);
			}
        },
		
		bonusfriend: function(app) {
			var self = this;
			
			var page = {
                hash: {
                    page: 'bonusfriend'
                },
                templates: ['bonusfriend'],
                data: [{
                    api: false
                }],
            };
			app._loadPage(page, function(content) {
                content.html(app._templates['bonusfriend']);
				content.addClass('red');
				
				var rData = {
					api : 'getBonusInfo',
					args : {
						"user_id" : app._user_id,
						"user_token" : app._user_token
					}
				};
				
				setSpinner(true, 'Загрузка данных');
				app._sendRequest(rData.api, rData.args, null, null, function(data){
					setSpinner(false);
					if(data.config) {
						app.setConfig(data.config);
					}
					
					if(data.bonus) {
						app._user_bonus_data = data.bonus;
						if(data.bonus.sitebonus) {
							$('.sitebonus .title > span').append(' <span>Активировано</span>');
						}
						if(data.bonus.mobilebonus) {
							$('.mobilebonus .title > span').append(' <span>Активировано</span>');
						}
						if(data.bonus.vkbonus) {
							$('.vkbonus .title > span').append(' <span>Активировано</span>');
						}
						if(data.bonus.friendbonus) {
							$('.friendbonus .title > span').append(' <span>Активировано</span>');
						}
						if(data.bonus.bonus_online) {
							$('.onlinebonus .bonus_online').html(data.bonus.bonus_online);
							if(data.bonus.bonus_online >= 100) {
								$('.onlinebonus .title > span').append(' <span>Активировано</span>');
							}
						}
						if(data.bonus.bonusfriendlink) {
							$('#friendbonusLink').val(data.bonus.bonusfriendlink);
							
							$('#friendbonusShareVkontakte').on('click', function() {
								app.shareLink('vkontakte', data.bonus.bonusfriendlink);
							});
							$('#friendbonusShareOdnoklassniki').on('click', function() {
								app.shareLink('odnoklassniki', data.bonus.bonusfriendlink);
							});
							$('#friendbonusShareFacebook').on('click', function() {
								app.shareLink('facebook', data.bonus.bonusfriendlink);
							});
							$('#friendbonusShareTwitter').on('click', function() {
								app.shareLink('twitter', data.bonus.bonusfriendlink);
							});
							$('#friendbonusShareMailru').on('click', function() {
								app.shareLink('mailru', data.bonus.bonusfriendlink);
							});
						}
						$('.vk-link').click(function() {
							window.open('https://vk.com/public123953350', '_system', 'location=yes');
						});
					}
					
				}, null, true);
				
				$('#activateMobileBonus').click(function() {
					if(app._user_bonus_data && !app._user_bonus_data.mobilebonus) {
						var rData = {
							api : 'activateMobileBonus',
							args : {
								"user_id" : app._user_id,
								"user_token" : app._user_token
							}
						};
						
						setSpinner(true, 'Загрузка данных');
						app._sendRequest(rData.api, rData.args, null, null, function(data){
							setSpinner(false);
							if(data.config) {
								app.setConfig(data.config);
							}
							
							if(data.bonus) {
								app._user_bonus_data.mobilebonus = data.bonus;
								$('.mobilebonus .title > span').append(' <span>Активировано</span>');
							}
						}, null, true);
					}
				});
				
				$('#activateVkBonus').click(function() {
					var rData = {
						api : 'activateVkBonus',
						args : {
							"user_id" : app._user_id,
							"user_token" : app._user_token
						}
					};
					
					setSpinner(true, 'Загрузка данных');
					app._sendRequest(rData.api, rData.args, null, null, function(data){
						setSpinner(false);
						if(data.config) {
							app.setConfig(data.config);
						}
						
						if(data.bonus) {
							app._user_bonus_data.mobilebonus = data.bonus;
							//$('.vkbonus .title > span').append(' <span>Активировано</span>');
						}
						
						window.open('https://vk.com/public123953350', '_system', 'location=yes');
					}, null, true);
				});
				
				$('.copylink').on('click', function() {
					var el = $(this);
					app.selectTextRange($('#'+(el.attr('rel'))).get(0));
					el.addClass('ready');
					setTimeout(function() {
						el.removeClass('ready');
					},1000);
				});
				
				$('.back-link').click(function() {
					document.location.href = "#page=" + (_backPage.pop() || 'index');
				});
				
				$('.topmenu .title').click(function() {
					document.location.href = "#page=index";
				});
            });
        },
		
		login: function(app) {
			if(app._avtorized) {
				document.location.href = "#page=index";
			}
			
			var self = this;
			
			var page = {
                hash: {
                    page: 'login'
                },
                templates: ['login'],
                data: [{
                    api: false
                }],
            };
			
			app._loadPage(page, function(content) {
                content.html(app._templates['login']);
				content.addClass('red');
				
				$('#login-btn').click(function() {
					var rData = {
						api : 'login',
						args : {
							'login' : $('#login').val(),
							'pass' : $('#pass').val()
						}
					};
					
					setSpinner(true, 'Авторизация');
					app._sendRequest(rData.api, rData.args, null, null, function(data){
						setSpinner(false);
						if(data.config) {
							app.setConfig(data.config);
						}
						
						if(data.code) {
							myAlert(data.descr, data.code);
						} else {
							$('#login').val('');
							$('#pass').val('');
							localStorage.setItem('userId', data.data.id);
							localStorage.setItem('accessToken', data.data.token);
							app._user_token = data.data.token;
							app._user_id = data.data.id;
							app._avtorized = true;
							document.location.href = "#page=index";
						}
					}, null, true);
				});
				
				$('.registration-ok').click(function() {
					_backPage.push('login');
					document.location.href = "#page=registration";
				});
				
				$('.restore-link').click(function() {
					_backPage.push('login');
					document.location.href = "#page=restore";
				});
				
				$('.back-link').click(function() {
					document.location.href = "#page=" + (_backPage.pop() || 'index');
				});
				
				$('.topmenu .title').click(function() {
					document.location.href = "#page=index";
				});
            });
        },
		
		restore: function(app) {
			if(app._avtorized) {
				document.location.href = "#page=index";
			}
			
			var self = this;
			
			var page = {
                hash: {
                    page: 'restore'
                },
                templates: ['restore'],
                data: [{
                    api: false
                }],
            };
			
			app._loadPage(page, function(content) {
                content.html(app._templates['restore']);
				content.addClass('red');
				
				$('#restore-btn').click(function() {
					var rData = {
						api : 'restoreData',
						args : {
							'email' : $('#email').val()
						}
					};
					
					setSpinner(true, 'Отправка данных');
					app._sendRequest(rData.api, rData.args, null, null, function(data){
						setSpinner(false);
						if(data.config) {
							app.setConfig(data.config);
						}
						
						if(data.code == 0) {
							myAlert(data.descr, data.code);
							$('#email').val('');
						} else {
							myAlert(data.descr, data.code);
						}
					}, null, true);
				});
				
				$('.login-link').click(function() {
					document.location.href = "#page=login";
				});
				
				$('.registration-link').click(function() {
					document.location.href = "#page=registration";
				});
				
				$('.back-link').click(function() {
					document.location.href = "#page=" + (_backPage.pop() || 'index');
				});
				
				$('.topmenu .title').click(function() {
					document.location.href = "#page=index";
				});
			});
		},
		
		registration: function(app) {
			if(app._avtorized) {
				document.location.href = "#page=index";
			}
			
			var self = this;
			
			var page = {
                hash: {
                    page: 'registration'
                },
                templates: ['registration'],
                data: [{
                    api: false
                }],
            };
			
			app._loadPage(page, function(content) {
                content.html(app._templates['registration']);
				content.addClass('red');
				
				$('.agreement-link').click(function() {
					_backPage.push('registration');
					document.location.href = "#page=agreement";
				});	
				
				$('#registration-ok').click(function() {
					if($('#imagree').is(':checked')) {
						document.location.href = "#page=afterreg";
					} else {
						myAlert('Необходимо согласие с правилами!');
					}
				});
					
				$('.login-link').click(function() {
					_backPage.push('registration');
					document.location.href = "#page=login";
				});
				
				$('.back-link').click(function() {
					document.location.href = "#page=" + (_backPage.pop() || 'index');
				});
				
				$('.topmenu .title').click(function() {
					document.location.href = "#page=index";
				});
			});
        },
		
		afterreg: function(app) {
			if(app._avtorized) {
				document.location.href = "#page=index";
			}
			
			var self = this;
			
			var page = {
                hash: {
                    page: 'afterreg'
                },
                templates: ['afterreg'],
                data: [{
                    api: false
                }],
            };
			
			app._loadPage(page, function(content) {
                content.html(app._templates['afterreg']);
				content.addClass('red');
				
				var rData = {
					api : 'regNewUser',
					args : {}
				};
				
				setSpinner(true, 'Загрузка данных');
				app._sendRequest(rData.api, rData.args, null, null, function(data){
					setSpinner(false);
					if(data.config) {
						app.setConfig(data.config);
					}
					
					if(data.code) {
						myAlert(data.descr, data.code);
					} else {
						$('#afterreg-login').html(data.data.login);
						$('#afterreg-pass').html(data.data.pass);
						
						var rData = {
							api : 'login',
							args : {
								'login' : data.data.login,
								'pass' : data.data.pass
							}
						};
						
						setSpinner(true, 'Авторизация');
						app._sendRequest(rData.api, rData.args, null, null, function(data){
							setSpinner(false);
							if(data.config) {
								app.setConfig(data.config);
							}
							
							if(data.code) {
								myAlert(data.descr, data.code);
							} else {
								localStorage.setItem('userId', data.data.id);
								localStorage.setItem('accessToken', data.data.token);
								app._user_token = data.data.token;
								app._user_id = data.data.id;
								app._avtorized = true;
							}
						}, null, true);
					}
				}, null, true);
				
				$('#afterreg-start').click(function() {
					var rData = {
						api : 'sendRemind',
						args : {
							"user_id" : app._user_id,
							"user_token" : app._user_token,
							"email" : $('#afterreg-email').val()
						}
					};
					
					app._sendRequest(rData.api, rData.args, null, null, function(data){
						if(data.config) {
							app.setConfig(data.config);
						}
						
						if(data.code) {
							myAlert(data.descr, data.code);
						} else {
							document.location.href = "#page=index";
						}
					});
				});
				
            });
        },
    },
    
    startup: function() {
        var self = this;
		var tpls = $(".template");
        for(var i in tpls) {
            if (tpls.hasOwnProperty(i)) {
                this._templates[$(tpls[i]).attr("data-template")] = $(tpls[i]).html();
            } 
        }
		$(window).bind("resize", function() {
			self._resizeWindow();
		});
		
		$('#logout').click(function() {
			self._logout();
		});
		
		var touchstartX = 0;
		var touchstartY = 0;
		var touchendX = 0;
		var touchendY = 0;

		var gesuredZone = document.getElementById('content');

		gesuredZone.addEventListener('touchstart', function(event) {
			touchstartX = event.screenX;
			touchstartY = event.screenY;
		}, false);

		gesuredZone.addEventListener('touchend', function(event) {
			touchendX = event.screenX;
			touchendY = event.screenY;
			handleGesure();
		}, false); 

		function handleGesure() {
			var swiped = 'swiped: ';
			if (touchendX < touchstartX) {
				$('#menu-block').removeClass('active');
			}
			if (touchendX > touchstartX) {
				$('#menu-block').addClass('active');
			}
			if (touchendY < touchstartY) {
				//alert(swiped + 'down!');
			}
			if (touchendY > touchstartY) {
				//alert(swiped + 'left!');
			}
			if (touchendY == touchstartY) {
				//alert('tap!');
			}
		}
		var accessToken = window.localStorage.getItem("accessToken");
		
		this._getSettings("33");
        if(accessToken != undefined) {
            this._avtorized = true;
		} else {
			this._avtorized = false;
		}
        this._ali.loadCookie();
    },
	
    init: function() {
		if (fn.hash.page) {
			this.activePage = new this.pages[fn.hash.page](this);
		} else {
            fn.hash.page = 'index';
            this.activePage = new this.pages['index'](this);
        }
        
		var items = this._ali.getItems();
    },
    
    refresh: function() {
        if (document.location.hash.indexOf('statusbar=1') == -1) {
            $(".block.statusbar").addClass("fn-hidden");
        }
    },
    
    _loadPage: function(page, callback) {
        var self = this;
        var onReady = function(area) {
            if(page.data.storage){
                var content = area;
                callback(page.data.storage, content, self._data[page.data.storage]);
            }
            else
            {
                var content = area;
                callback(content);
            }
        };

        if (page.footer || page.footer == undefined) {
            $(".foot-list").removeClass('xc-hidden');
        } else {
            $(".foot-list").addClass('xc-hidden');
        }

        var area = $('#content');

        var loading = false;

        if (page.data.api) {
            loading = true;
            if(page.data.storage){
                if(this._data[page.data.storage]){
                    onReady(area);
                }else
                    this._sendRequest(page.data.api, page.args, page.data.storage, function(data){
                        if(!self._data[page.data.storage])
                            self._data[page.data.storage] = {};
                        self._data[page.data.storage] = data;
                        onReady(area);
                    });
            }else
                this._sendRequest(page.data.api, page.data.args, null, 0, function() {
                    onReady(area);
                });
        }
        if (!loading) {
            onReady(area);
        }
    },
	
    _loadTemplate: function(page, content){
        var self = this;
        fn.ajax.send('tpl/' + page + '.html', 'GET', {}, "", true, function(result) {
            if (result) {
                self._templates[page] = result.responseText;
				content.html(result.responseText);
            }
        });
    },
    
    _parseTemplate: function(template, args) {
        for(var i in args) {
            if (args.hasOwnProperty(i)) {
                template = template.replace(new RegExp("\{"+i+"\}", "gi"), args[i]);
            }
        }
        return template;
    },
    
    _sendRequest: function(api, data, storage, storageId, callback, error, sync) {
        var self = this;
		var realUrl = '';
        if (typeof this._api[api].disabled != undefined && !this._api[api].disabled) {
           for(key in data) {
				if(key != 'method' && key != 'url') {
					realUrl += "&"+key+"="+data[key];
				}
			};
			var url = this._server + this._api[api].url + realUrl;
            var method = this._api[api].method || 'GET';
			var dataType = this._api[api].dataType || 'json';
            if (this._api[api].local) {
                method = 'GET';
                if (storageId) {
                    url = 'data/' + storage + storageId + '.json';
                } else if (storage) {
                    url = 'data/' + storage + '.json';
                }
            }
            if (this._api[api].proxy) {
                url = (mobile ? this._mobileServer : '') + 'proxy.php?method='+encodeURIComponent(method)+'&url=' + encodeURIComponent(url);
            }
			
			fn.ajax.send(url, 
				method, 
				dataType,
				data,
				!sync,
				function(result) {
					if (result.responseText) {
						var data = JSON.parse(result.responseText);
						if (storageId) {
							if (!self._data[storage]) {
								self._data[storage] = {};
							}
							self._data[storage][storageId] = data;
						} else if (storage) {
							self._data[storage] = data;
						}
						callback(data);
					} else {
						var data = JSON.parse(result);
						callback(data);
					}
				},
				error
			);
        }
    }
};

function startListener() {
	$(window).bind("hashchange", function() {
        fn.moving(document.location.hash.indexOf('init=0') == -1);
    });
	document.addEventListener("backbutton", function (e) {
		e.preventDefault();
		document.location.href = "#page=" + (_backPage.pop() || 'index');
	}, false );
	$.support.cors = true;
    $.mobile.allowCrossDomainPages = true;
    $.mobile.ajaxEnabled = false;
    $.mobile.hashListeningEnabled = false;
    $.mobile.linkBindingEnabled = false;
    $.mobile.pushStateEnabled = false;
    $.mobile.changePage = function() {
        
    };
    $.mobile.loadingMessageTextVisible = true;
    $.cookie.json = true;
	fn.startup();
}

function onResume() {
    
}

window.onerror = function(err,fn,ln) {/*alert("ERROR:" + err + ", " + fn + ":" + ln );*/};

window.onload = function(){
	if(logging)
        console.log("onload");
	document.addEventListener("deviceready", startListener, false);
	document.addEventListener("resume", onResume, false);
	if(!mobile) {
		startListener();
	}
}